Bug 483277 - Review Request: nautilus-gdu - Nautilus extension for disk formatting
Summary: Review Request: nautilus-gdu - Nautilus extension for disk formatting
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-30 17:07 UTC by Tomáš Bžatek
Modified: 2015-03-03 22:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 13:15:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora-review+
huzaifas: fedora-cvs+


Attachments (Terms of Use)

Description Tomáš Bžatek 2009-01-30 17:07:29 UTC
Spec URL: http://tbzatek.fedorapeople.org/nautilus-gdu/nautilus-gdu.spec
SRPM URL: http://tbzatek.fedorapeople.org/nautilus-gdu/nautilus-gdu-0.1-git20090130.1.fc11.src.rpm

Description:

Simple extension for formatting disks, usb sticks and other media,
available from Nautilus context menu. This extension is built on top.
of the gnome-disk-utility library with DeviceKit-disks as a backend.
Access to physical devices is controlled by PolicyKit.

- rpmlint reports no error, package builds successfully in koji

Comment 1 Matthias Clasen 2009-01-30 18:16:34 UTC
Package builds fine in mock.

rpmlint output:

3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Matthias Clasen 2009-01-30 18:25:38 UTC
requires/provides/file list look sane

Comment 3 Matthias Clasen 2009-01-30 18:50:57 UTC
package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: ok
spec file language: ok
spec file legible: ok
sources: you should probably add a comment explaining how to get the tarball from git. longer-term, we need to sort out hosting
buildable: ok
excludearch: ok
build deps: ok
locale handling: ok, no translations right now. sorting that out ties in to the hosting question...
ldconfig: I don't think you need to call ldconfig in %post/%postun, since you are not installing a shared library in the linker path, just a loadable module
relocatable: n/a
directory ownership: ok
duplicate files: ok
permissions: ok
%clean: ok
macro use: ok
permissible content: ok
large docs: n/a
%doc content: ok
headers: n/a
static libs: n/a
pc files: ok
shared libs: ok
devel subpackage: n/a
libtool archives: ok
gui apps: ok
file ownership: ok
%install: ok
utf8 filenames: ok

Summary: 
- add source comment
- remove unnecessary %post/%postun

Comment 4 Tomáš Bžatek 2009-02-02 14:06:01 UTC
Thanks for the review. I've added a comment how to get sources from git (by cloning the repo). 

Fixed files:
Spec URL: http://tbzatek.fedorapeople.org/nautilus-gdu/nautilus-gdu.spec
SRPM URL:
http://tbzatek.fedorapeople.org/nautilus-gdu/nautilus-gdu-0.1-git20090130.1.fc11.src.rpm

Comment 5 Matthias Clasen 2009-02-03 03:53:58 UTC
looks good now. approved

Comment 6 Tomáš Bžatek 2009-02-03 09:29:56 UTC
New Package CVS Request
=======================
Package Name: nautilus-gdu
Short Description: Nautilus extension for disk formatting
Owners: tbzatek
Branches: devel
InitialCC:

Comment 7 Huzaifa S. Sidhpurwala 2009-02-04 10:56:11 UTC
cvs done

Comment 8 Tomáš Bžatek 2009-02-04 13:15:16 UTC
Successfully built in rawhide: http://koji.fedoraproject.org/koji/buildinfo?buildID=81493


Note You need to log in before you can comment on or make changes to this bug.